Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2113103 - am-utils: FTBFS in Fedora rawhide/f37
Summary: am-utils: FTBFS in Fedora rawhide/f37
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: am-utils
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ian Kent
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F38FTBFS F39FTBFS F40FTBFS F37FTBFS
TreeView+ depends on / blocked
 
Reported: 2022-08-01 23:15 UTC by Fedora Release Engineering
Modified: 2023-12-05 23:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-12-05 23:12:04 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2022-08-01 23:15 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2022-08-01 23:15 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2022-08-01 23:15 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2022-08-01 23:15:01 UTC
am-utils failed to build from source in Fedora rawhide/f37

https://koji.fedoraproject.org/koji/taskinfo?taskID=89753958


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild
Please fix am-utils at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
am-utils will be orphaned. Before branching of Fedora 38,
am-utils will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2022-08-01 23:15:03 UTC
Created attachment 1900756 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2022-08-01 23:15:05 UTC
Created attachment 1900757 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2022-08-01 23:15:06 UTC
Created attachment 1900758 [details]
state.log

Comment 4 Ian Kent 2022-08-05 06:58:28 UTC
Mmm ... I've made some changes but ...

Now I see there's multiply defined symbols coming coming from glibc
and the kernel includes ... I'll need to think about how to work
around that.

Comment 5 Ian Kent 2022-08-09 01:03:14 UTC
(In reply to Ian Kent from comment #4)
> Mmm ... I've made some changes but ...
> 
> Now I see there's multiply defined symbols coming coming from glibc
> and the kernel includes ... I'll need to think about how to work
> around that.

I can't work around the conflict between the glibc and kernel headers.

David Howells has posted to LKML and we are recommending removing the
include of linux/mount.h from linux/fs.h which fixes the problem.

So far it appears there will be minimal impact from doing this but
Al Viro and Linus haven't yet commented on it.

Unfortunately I'll need to wait ...

Comment 6 Ben Cotton 2022-08-09 13:40:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 37 development cycle.
Changing version to 37.

Comment 7 Ian Kent 2022-09-08 05:53:37 UTC
Build now works.
Based on what I saw will probably need more work.
Will need to wait and see if problems are reported.

Comment 8 Aoife Moloney 2023-11-23 00:16:36 UTC
This message is a reminder that Fedora Linux 37 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 37 on 2023-12-05.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '37'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version. Note that the version field may be hidden.
Click the "Show advanced fields" button if you do not see it.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 37 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 9 Aoife Moloney 2023-12-05 23:12:04 UTC
Fedora Linux 37 entered end-of-life (EOL) status on None.

Fedora Linux 37 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora Linux
please feel free to reopen this bug against that version. Note that the version
field may be hidden. Click the "Show advanced fields" button if you do not see
the version field.

If you are unable to reopen this bug, please file a new report against an
active release.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.